Subject: Re: bug#14502: 24.3; dired-load-hook should not be customizable
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], Reuben Thomas <[email-masked]>
Date: Wed, 28 Oct 2020 01:53:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Reuben Thomas <[email-masked]> writes:
>
>> dired-load-hook is customizable, but dired-x's manual correctly says
>> that you should add code to your init file to load dired-x in
>> dired-load-hook. I tried customizing the hook instead, and that doesn't
>> work. As with find-file-hook (see bug #13870), I suggest that
>> dired-load-hook either be made non-customizable, or a warning added to
>> the docstring.
>
> (I'm going through old bug reports that have unfortunately gotten no
> responses yet.)
>
> I'm not sure I understand the problem, and #13870 does not talk about
> `find-file-hook'.
>
> Does it matter whether you use `add-hook' or Customize for this
> particular hook?  Most hooks are customisable, surely, including
> `find-file-hook'.

We now have that:

(make-obsolete-variable 'dired-load-hook
                        "use `with-eval-after-load' instead." "28.1")

So I think this problem has resolved itself, and I'm closing this bug.